Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Fix bug #12089, check for ImageMagick HDRI and stop configuration if …

…present.
  • Loading branch information...
commit 218b3b8f810ea0d28648395a1a854fe032a07866 1 parent 7a904c3
rmagick authored
Showing with 8 additions and 1 deletion.
  1. +3 −0  ChangeLog
  2. +5 −1 configure.ac
View
3  ChangeLog
@@ -1,3 +1,6 @@
+RMagick 1.15.9
+ o Fixed bug #12089 (bug report from Hans de Graaff)
+
RMagick 1.15.8
o Fixed bug #12671, incorrect link in HTML doc (bug report from Thomas R.
Koll
View
6 configure.ac
@@ -42,11 +42,15 @@ else
Magick-config )
MAGICKNAME=ImageMagick
MAGICKLIB=Magick
- MAGICKVERS=`${MAGICKCONFIG} --version | tr -d .`
+ MAGICKVERS=`${MAGICKCONFIG} --version | cut -d" " -f1 | tr -d .`
if test $MAGICKVERS -lt 600; then
MAGICKVERS=`${MAGICKCONFIG} --version`
AC_MSG_ERROR([Can't install RMagick. You must have ImageMagick 6.0.0 or later installed. Your version of ImageMagick is ${MAGICKVERS}])
fi
+ HDRI=`${MAGICKCONFIG} --version | cut -d" " -f3`
+ if test "$HDRI" = HDRI; then
+ AC_MSG_ERROR([Can't install RMagick. RMagick does not work with ImageMagick's HDRI.])
+ fi
;;
GraphicsMagick-config )
MAGICKNAME=GraphicsMagick
Please sign in to comment.
Something went wrong with that request. Please try again.